dpkg fails with debconf locked

Bug #189005 reported by Linux1 on 2008-02-04
26
Affects Status Importance Assigned to Milestone
dpkg (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
grub (Ubuntu)
High
Steve Langasek
Hardy
High
Steve Langasek

Bug Description

when install a kernel dpkg fails and reports debconf locked

linux1@ubuntu:/usr/src$ sudo dpkg -i linux-image-2.6.24-hydra2_2.6.24-hydra2-10.00.Custom_amd64.deb
[sudo] password for linux1:
Selecting previously deselected package linux-image-2.6.24-hydra2.
(Reading database ... 274328 files and directories currently installed.)
Unpacking linux-image-2.6.24-hydra2 (from linux-image-2.6.24-hydra2_2.6.24-hydra2-10.00.Custom_amd64.deb) ...
Done.
Setting up linux-image-2.6.24-hydra2 (2.6.24-hydra2-10.00.Custom) ...
Running depmod.
Finding valid ramdisk creators.
Using mkinitramfs-kpkg to build the ramdisk.
find: /lib/firmware/2.6.24-hydra2: No such file or directory
find: /lib/firmware/2.6.24-hydra2: No such file or directory
find: /lib/firmware/2.6.24-hydra2: No such file or directory
find: /lib/firmware/2.6.24-hydra2: No such file or directory
find: /lib/firmware/2.6.24-hydra2: No such file or directory
find: /lib/firmware/2.6.24-hydra2: No such file or directory
Running postinst hook script update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /vmlinuz-2.6.24-hydra2
Found kernel: /vmlinuz-2.6.24-5-generic
Found kernel: /vmlinuz-2.6.24-4-generic
Found kernel: /vmlinuz-2.6.22-14-generic
Found kernel: /memtest86+.bin
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
User postinst hook script [update-grub] exited with value 1
dpkg: error processing linux-image-2.6.24-hydra2 (--install):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 linux-image-2.6.24-hydra2

can confirm with link to http://ubuntuforums.org/showthread.php?t=687448

hope this helps

Related branches

Linux1 (davehomer) wrote :

this is a problem with hardy btw

Markus (doits) wrote :

i can confirm it

20:32:53 /usr/src # sudo dpkg -i linux-image-2.6.24-mm1_mm1_amd64.deb
(Reading database ... 201051 files and directories currently installed.)
Preparing to replace linux-image-2.6.24-mm1 mm1 (using linux-image-2.6.24-mm1_mm1_amd64.deb) ...
Done.
Unpacking replacement linux-image-2.6.24-mm1 ...
Running postrm hook script /sbin/update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.24-mm1
Found kernel: /boot/vmlinuz-2.6.24
Found kernel: /boot/vmlinuz-2.6.23.12
Found kernel: /boot/memtest86+.bin
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
User postrm hook script [/sbin/update-grub] exited with value 1
Setting up linux-image-2.6.24-mm1 (mm1) ...
Running depmod.
Finding valid ramdisk creators.
Using mkinitramfs-kpkg to build the ramdisk.
Running postinst hook script update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.24-mm1
Found kernel: /boot/vmlinuz-2.6.24
Found kernel: /boot/vmlinuz-2.6.23.12
Found kernel: /boot/memtest86+.bin
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
User postinst hook script [update-grub] exited with value 1
dpkg: error processing linux-image-2.6.24-mm1 (--install):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 linux-image-2.6.24-mm1

this only happens when installing new kernel images.

HellMind (hellmind) wrote :

I wonder where the problem resides :S

it seems that only happens with the kernel image dpkg

Markus (doits) wrote :

just wanted to add: debconf.org can be renamed or deleted, so it doesnt seem to be locked. but the error remains

Nic (ntetreau) wrote :

Confirmed, trying to install the compiled kernel debs

Nic (ntetreau) wrote :

fuser -v /var/cache/debconf/config.dat shows nothing using it

The previous version of initramfs-tools seems to be ok:

wget http://archive.ubuntu.com/ubuntu/pool/main/i/initramfs-tools/initramfs-tools_0.85eubuntu20_all.deb
sudo dpkg -i initramfs-tools_0.85eubuntu20_all.deb

and the problem disappears...

Maintainer: Ubuntu Kernel Team <email address hidden>
Bugs: mailto:<email address hidden>

I dont' know how to edit my previuos comment: I was wrong, the problem is still there :(

I can confirm it:

~/src/debs$ sudo dpkg -i linux-image-2.6.24-rc8-custom_2.6.24-rc8-custom-10.00.Custom_i386.deb
Selecting previously deselected package linux-image-2.6.24-rc8-custom.
(Reading database ... 138569 files and directories currently installed.)
Unpacking linux-image-2.6.24-rc8-custom (from linux-image-2.6.24-rc8-custom_2.6.24-rc8-custom-10.00.Custom_i386.deb) ...
Done.
Setting up linux-image-2.6.24-rc8-custom (2.6.24-rc8-custom-10.00.Custom) ...
Running depmod.
Finding valid ramdisk creators.
Using mkinitramfs-kpkg to build the ramdisk.
Not updating initrd symbolic links since we are being updated/reinstalled
(2.6.24-rc8-custom-10.00.Custom was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(2.6.24-rc8-custom-10.00.Custom was configured last, according to dpkg)
Running postinst hook script update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.24.1-custom
Found kernel: /boot/vmlinuz-2.6.24-custom
Found kernel: /boot/vmlinuz-2.6.24-7-generic
Found kernel: /boot/vmlinuz-2.6.24-5-generic
Found kernel: /boot/vmlinuz-2.6.24-rc8-custom
Found kernel: /boot/memtest86+.bin
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
User postinst hook script [update-grub] exited with value 1
dpkg: error processing linux-image-2.6.24-rc8-custom (--install):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 linux-image-2.6.24-rc8-custom
~/src/debs$ fuser -v /var/cache/debconf/config.dat
~/src/debs$

Markus (doits) on 2008-02-10
Changed in dpkg:
status: New → Confirmed
Markus (doits) wrote :

is someone investigating the problem? need some more info?

have got two custom kernel images - when installing any .deb or program it generates ramdisks over and over adding about a minute to every install ... this gets annoying more and more

@gan:/usr/src# dpkg -i linux-image-2.6.25-rc1_2.6.25-rc1-10.00.Custom_i386.deb linux-headers-2.6.25-rc1_2.6.25-rc1-10.00.Custom_i386.deb
Selecting previously deselected package linux-image-2.6.25-rc1.
(Reading database ... 219402 files and directories currently installed.)
Unpacking linux-image-2.6.25-rc1 (from linux-image-2.6.25-rc1_2.6.25-rc1-10.00.Custom_i386.deb) ...
Done.
Selecting previously deselected package linux-headers-2.6.25-rc1.
Unpacking linux-headers-2.6.25-rc1 (from linux-headers-2.6.25-rc1_2.6.25-rc1-10.00.Custom_i386.deb) ...
Setting up linux-image-2.6.25-rc1 (2.6.25-rc1-10.00.Custom) ...
Running depmod.
Finding valid ramdisk creators.
Using mkinitramfs-kpkg to build the ramdisk.
Running postinst hook script update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /vmlinuz-2.6.25-rc1
Found kernel: /vmlinuz-2.6.24-7-generic
Found kernel: /vmlinuz-2.6.24-5-generic
Found kernel: /vmlinuz-2.6.23.1
Found kernel: /vmlinuz-2.6.23-rc5-hrt1
Found kernel: /vmlinuz-2.6.22-12-generic
Found kernel: /vmlinuz-2.6.22-11-generic
Found kernel: /vmlinuz-2.6.22-10-generic
Found kernel: /memtest86+.bin
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
User postinst hook script [update-grub] exited with value 1
dpkg: error processing linux-image-2.6.25-rc1 (--install):
 subprocess post-installation script returned error exit status 1
Setting up linux-headers-2.6.25-rc1 (2.6.25-rc1-10.00.Custom) ...

Errors were encountered while processing:
 linux-image-2.6.25-rc1

I am also having same issue on my laptop and desktop.

description: updated

Same problem here... installing custom kernel

Thank you

apt-get -f install
.....

Configuro linux-image-2.6.24.2-custom (2.6.24.2-custom-10.00.Custom) ...
Running depmod.
Finding valid ramdisk creators.
Using mkinitramfs-kpkg to build the ramdisk.
find: /lib/firmware/2.6.24.2-custom: Nessun file o directory
find: /lib/firmware/2.6.24.2-custom: Nessun file o directory
find: /lib/firmware/2.6.24.2-custom: Nessun file o directory
find: /lib/firmware/2.6.24.2-custom: Nessun file o directory
find: /lib/firmware/2.6.24.2-custom: Nessun file o directory
find: /lib/firmware/2.6.24.2-custom: Nessun file o directory
initrd.img(/boot/initrd.img-2.6.24.2-custom
) points to /boot/initrd.img-2.6.24.2-custom
 (/boot/initrd.img-2.6.24.2-custom) -- doing nothing at /var/lib/dpkg/info/linux-image-2.6.24.2-custom.postinst line 583.
vmlinuz(/boot/vmlinuz-2.6.24.2-custom
) points to /boot/vmlinuz-2.6.24.2-custom
 (/boot/vmlinuz-2.6.24.2-custom) -- doing nothing at /var/lib/dpkg/info/linux-image-2.6.24.2-custom.postinst line 583.
Running postinst hook script update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.24.2-custom
Found kernel: /boot/vmlinuz-2.6.24-7-generic
Found kernel: /boot/memtest86+.bin
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Risorsa temporaneamente non disponibile
User postinst hook script [update-grub] exited with value 1
dpkg: errore processando linux-image-2.6.24.2-custom (--configure):
 il sottoprocesso post-installation script ha restituito un codice di errore 1
Sono occorsi degli errori processando:
 linux-image-2.6.24.2-custom
E: Sub-process /usr/bin/dpkg returned an error code (1)

Jeffrey Baker (jwbaker) wrote :

This is pretty serious. It's currently impossible to test kernel patches on Hardy.

stSabri (hsstsabri) wrote :

I face the same problem, my solution : change the access mode to 777 the file config.dat in /var/cache/debconf : # chmod 777 /var/cache/debconf/config.dat

stSabri

sudo chmod 777 /var/cache/debconf/config.dat
....
make the updates....
...

and restoring original permissions
sudo chmod 644 /var/cache/debconf/config.dat

don't works for me...

tuwe (tuwe) wrote :

i can confirm the bug.
the solution two posts above doesn't work for me either.

Richte linux-image-2.6.24-mactelmacbook ein (2.6.24-mactelmacbook-10.00.Custom) ...
Running depmod.
Finding valid ramdisk creators.
Using mkinitramfs-kpkg to build the ramdisk.
initrd.img(/boot/initrd.img-2.6.24-mactelmacbook
) points to /boot/initrd.img-2.6.24-mactelmacbook
 (/boot/initrd.img-2.6.24-mactelmacbook) -- doing nothing at /var/lib/dpkg/info/linux-image-2.6.24-mactelmacbook.postinst line 583.
vmlinuz(/boot/vmlinuz-2.6.24-mactelmacbook
) points to /boot/vmlinuz-2.6.24-mactelmacbook
 (/boot/vmlinuz-2.6.24-mactelmacbook) -- doing nothing at /var/lib/dpkg/info/linux-image-2.6.24-mactelmacbook.postinst line 583.
Running postinst hook script update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.24-mactelmacbook
Found kernel: /boot/vmlinuz-2.6.24-7-generic
Found kernel: /boot/vmlinuz-2.6.24-5-generic
Found kernel: /boot/vmlinuz-2.6.23.12-mactel
Found kernel: /boot/vmlinuz-2.6.23.9-mactel
Found kernel: /boot/vmlinuz-2.6.23.1-mactel
Found kernel: /boot/vmlinuz-2.6.22-12-generic
Found kernel: /boot/memtest86+.bin
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
User postinst hook script [update-grub] exited with value 1
dpkg: Fehler beim Bearbeiten von linux-image-2.6.24-mactelmacbook (--configure):
 Unterprozess post-installation script gab den Fehlerwert 1 zurück
Richte gnome-accessibility-themes ein (2.21.91-0ubuntu1) ...
gtk-update-icon-cache: Cache file created successfully.

Richte gnome-themes ein (2.21.91-0ubuntu1) ...
gtk-update-icon-cache: Cache file created successfully.
gtk-update-icon-cache: Cache file created successfully.

Fehler traten auf beim Bearbeiten von:
 linux-image-2.6.24-mactelmacbook
E: Sub-process /usr/bin/dpkg returned an error code (1)

-- otherwise, the kernel installs and works fine, i have it running for approximately 5 days now.

Nicola Rosati (supernaicol) wrote :

me too, I can confirm the bug... it's quite annoying not being able to install any new kernel image... I would port this bug to Hardy too.

Nicola Rosati (supernaicol) wrote :

I've some news...
I resolved the issue downgrading grub to the gutsy version, 0.97-29ubuntu4.
So maybe this is a grub bug, not an initramfs-tool one.
Bye folks.

Bart Kroon (tarmack) wrote :

I can confirm the work around posted by supernaicol, after downgrading grub my two waiting kernel updates finaly installed succesfully.
The bug seems to be with the update-grub script, or the calling of it from dpkg. I don't know enough of the package managment to realy asses this.

stSabri (hsstsabri) wrote :

I agree with supernaicol, I modified the file /etc/kernel-img.conf by commenting the stanza
# postin_hook = update-grub
then modified by hand the grub.lst to enable booting into new kernel image.

Steve Langasek (vorlon) on 2008-02-15
Changed in dpkg:
status: Confirmed → Invalid
Steve Langasek (vorlon) wrote :

Confirmed, if called from a maintainer script that uses debconf, the current update-grub in hardy will error out. This wasn't tested for because the official Ubuntu kernel packages don't use debconf.

I'll work on rolling this into the next upload.

Changed in grub:
assignee: nobody → vorlon
importance: Undecided → High
milestone: none → hardy-alpha-5
status: New → In Progress
Steve Langasek (vorlon) on 2008-02-18
Changed in grub:
status: In Progress → Fix Committed

Hardy fully upgraded

The bus is marked as "fix committed" but i still have on all 3 update pc this issue.... ( 21 February 2008 )

Thank you

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub - 0.97-29ubuntu17

---------------
grub (0.97-29ubuntu17) hardy; urgency=low

  * debian/update-grub: use db_x_loadtemplatefile instead of
    debconf-loadtemplate, so that we can call update-grub from maintainer
    scripts of packages that do their own debconf prompting (LP: #189005).
  * debian/control: depend on debconf (>= 1.5.19) | cdebconf instead of
    debconf-utils, for the above change.
  * if there are any "boot" lines in the existing menu during initial ucf
    registration, we have a config generated by an old version of
    update-grub; emulate the old behavior during the ucf registration to
    ensure smooth upgrades. LP: #187362.

 -- Steve Langasek <email address hidden> Thu, 21 Feb 2008 09:59:35 -0800

Changed in grub:
status: Fix Committed → Fix Released
Francesc Vicent (fransex) wrote :

Thanks!

berg (berg-foss) wrote :

this problem is no fixed. the "lock" happens with differents packages.

Changed in grub:
status: Fix Released → Confirmed
berg (berg-foss) wrote :
Download full text (13.0 KiB)

this is my situation:

I installed fresh install of Edubuntu 6.06.1
Make all dist-upgrade, rebooted

run update-manger -d
( 900 MB after ... and 14 hours too :(

the system seems rebooted ( xterm used to run update-manager was closed) . I know, there is not automatic reboot.
Or my system have elerical failures, or system has crashed or only xterm has crashed.

I tested run apt-get -f install (output at bottom of this text)
some critical error stopped installation
trying install critical "defect" package forced.:

root@edubuntu:/home/myloginz# dpkg -i --force-all /var/cache/apt/archives/libc6_2.7-9ubuntu2_i386.deb
(Lendo banco de dados ... 88060 arquivos e diretórios atualmente instalados.)
Preparando para substituir libc6 2.3.6-0ubuntu20.5 (usando .../libc6_2.7-9ubuntu2_i386.deb) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process
dpkg: erro processando /var/cache/apt/archives/libc6_2.7-9ubuntu2_i386.deb (--install):
 subprocesso pre-installation script retornou código de saída de error 1
Erros foram encontrados durante processamento de:
 /var/cache/apt/archives/libc6_2.7-9ubuntu2_i386.deb

root@edubuntu:/home/myloginz# fuser -v /var/cache/debconf/config.dat

                     USER PID ACCESS COMMAND
/var/cache/debconf/config.dat:
                     root 26130 f.... frontend

root@edubuntu:/home/myloginz# ps -ef | grep 26130
root 26130 26122 0 10:57 pts/2 00:00:01 /usr/bin/perl -w /usr/share/debconf/frontend /var/lib/dpkg/tmp.ci/preinst upgrade 2.3.6-0ubuntu20.5
root 26141 26130 0 10:57 pts/2 00:00:00 /bin/sh /var/lib/dpkg/tmp.ci/preinst upgrade 2.3.6-0ubuntu20.5
root 352 30200 0 15:14 pts/4 00:00:00 grep 26130
root@edubuntu:/home/myloginz#

root@edubuntu:/home/myloginz# apt-get install -f
Lendo Lista de Pacotes... Pronto
Construindo Árvore de Dependências... Pronto
Corrigindo dependências... Pronto
Os pacotes extra a seguir serão instalados:
  bicyclerepair bittorrent bzip2 console-tools consolekit cpp cpp-4.2 dbus dhcp3-client dhcp3-common dpkg e2fslibs
  e2fsprogs file fontconfig fontconfig-config gamin gcc-4.2-base gcompris-data gcompris-sound-cs gcompris-sound-da
  gcompris-sound-de gcompris-sound-en gcompris-sound-es gcompris-sound-eu gcompris-sound-fi gcompris-sound-fr
  gcompris-sound-hu gcompris-sound-it gcompris-sound-mr gcompris-sound-nl gcompris-sound-pt gcompris-sound-ptbr
  gcompris-sound-ru gcompris-sound-so gcompris-sound-sv gcompris-sound-tr gnome-media-common gobby gtk2-engines-pixbuf
  gtk2-engines-ubuntulooks java-common launchpad-integration libaccess-bridge-java libao2 libart-2.0-2 libasound2
  libatk1.0-0 libavahi-client3 libavahi-glib1 libbonobo2-0 libbonobo2-common libbonoboui2-0 libbonoboui2-common libbz2-1.0
  libc6 libc6-i686 libcairo2 libcairomm-1.0-1 libcamel1.2-11 libchromexvmc1 libchromexvmcpro1 libck-connector0 libconsole
  libcupsys2 libcurl3 libdatrie0 libdb4.6 libdbus-1-3 libdbus-glib-1-2 libdrm2 libebook1.2-9 libecal1.2-7
  libedataserver1.2-9 libffi4 libfontconfig1 libfreetype6 libgamin0 libgcc1 libgda3-3 libgda3-common libgdl-1-common
  libgdl-gnome-1-0 libgeoip1 libgif4 libglade2-0 libglib2.0-0 libglib2.0-data libgli...

Steve Langasek (vorlon) wrote :

berg,

The bug that you've followed up to *is* fixed. Whatever the problem is that you're seeing, it's not this bug. Indeed, your log shows no mention of grub or any kernel-related packages.

Please file a new bug report against glibc for the problem you're seeing.

Changed in grub:
status: Confirmed → Fix Released
berg (berg-foss) wrote :

@Steve Langasek , yor are correct, but I think that should be a dpkg or debconf bug or both, because should finish the lock or maybe remove it ( I used --force-all ). tomorow i will search better.
thanks for your attention.

root@edubuntu:/home/myloginz# fuser -v /var/cache/debconf/config.dat

                     USER PID ACCESS COMMAND
/var/cache/debconf/config.dat:
                     root 26130 f.... frontend

root@edubuntu:/home/myloginz# ps -ef | grep 26130
root 26130 26122 0 10:57 pts/2 00:00:01 /usr/bin/perl -w /usr/share/debconf/frontend /var/lib/dpkg/tmp.ci/preinst upgrade 2.3.6-0ubuntu20.5
root 26141 26130 0 10:57 pts/2 00:00:00 /bin/sh /var/lib/dpkg/tmp.ci/preinst upgrade 2.3.6-0ubuntu20.5
root 352 30200 0 15:14 pts/4 00:00:00 grep 26130

Sridhar Ratnakumar (srid) wrote :

Well, this is bug is still happening with the *released* 8.04 Live CD. What gives?

ubuntu@ubuntu:~$ sudo apt-get install flashplugin-nonfree
Reading package lists... Done
Building dependency tree
Reading state information... Done
flashplugin-nonfree is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
Setting up flashplugin-nonfree (9.0.124.0ubuntu2) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing flashplugin-nonfree (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 flashplugin-nonfree
E: Sub-process /usr/bin/dpkg returned an error code (1)
ubuntu@ubuntu:~$ fuser -v /var/cache/debconf/config.dat
ubuntu@ubuntu:~$

Sridhar Ratnakumar (srid) wrote :

Here is a work around: mv /var/cache/debconf/* /tmp/backup-debconf/

Steve Langasek (vorlon) wrote :

Sridhar,

The bug you've followed up to is a bug in the grub package that has been resolved. If you're having debconf locking errors installing other packages in the LiveCD, that is an entirely separate error which should be filed in a new bug report.

Can confirm this bug on hardy. Also happens with other packages.
for example: sudo dpkg-reconfigure -p low gnome-applets

so it must be related to dpkg-packages somehow, I guess

Steve Langasek (vorlon) wrote :

Christian, again this bug report is about an already-resolved bug in grub. Please open a new bug report for your unrelated issue.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers